local frame = CreateFrame("Frame", "minidefFrame", UIParent)
frame:SetMovable(true)
frame:EnableMouse(true)
frame:RegisterForDrag("LeftButton")
frame:SetScript("OnDragStart", function(self) if IsShiftKeyDown() then self:StartMoving() end end)
frame:SetScript("OnDragStop", frame.StopMovingOrSizing)

--frame size
frame:SetPoint("CENTER"); frame:SetWidth(192); frame:SetHeight(32);

--background color drawn in border layer
frame.FrameBackground = frame:CreateTexture(nil, "BORDER")
frame.FrameBackground:SetPoint("TOPLEFT", 1, -1)
frame.FrameBackground:SetPoint("BOTTOMRIGHT", -1, 1)
frame.FrameBackground:SetTexture(0.5, 0.5, 0.5, 0.2)

--border color drawn in background layer behind border layer
frame.FrameBorder = frame:CreateTexture(nil, "BACKGROUND")
frame.FrameBorder:SetAllPoints();
frame.FrameBorder:SetTexture(0, 0, 0, 0.8)

--text font and color
frame.Text = frame:CreateFontString(nil, "OVERLAY", "GameFontNormal")
frame.Text:SetPoint("CENTER", 0, 0)
frame.Text:SetTextColor(1, 1, 0, 1)
frame.Text:SetText("minidef")

function minidefFilter(chatFrame, event, msg, author, _, _, _, _, channelID, ...)

	if (channelID == 22) or (channelID == 23) then
		local FindZone = string.gsub(ZONE_UNDER_ATTACK, "%%s", "(.+)")
		local _, _, subzone = string.find(msg, FindZone)
	
		if (subzone) then
			frame.Text:SetText(subzone)
			--test message to /g
			--SendChatMessage(frame.Timey, "GUILD")
			UIFrameFadeOut(frame, 20, 1, 0.2)
			return true;
		end
	end
	return false;
end

ChatFrame_AddMessageEventFilter("CHAT_MSG_CHANNEL", minidefFilter)
